Subject: [arch-d] Fwd: Finding the appropriate work stream for draft-nottingham-for-the-users

From: Eric Rescorla <[email-masked]>
Date: Tue, 19 Mar 2019 10:57:42 -0700

Re-sending with hopefully a better address.

---------- Forwarded message ---------
From: Eric Rescorla <[email-masked]>
Date: Tue, Mar 19, 2019 at 10:55 AM
Subject: Re: Finding the appropriate work stream for
draft-nottingham-for-the-users
To: Eliot Lear <[email-masked]>
Cc: Jari Arkko <[email-masked]>, <[email-masked]>, IETF
<[email-masked]>

Without responding to Eliot's point in detail, one comparison point would
be the HTML Priority of Constituencies:

https://dev.w3.org/html5/html-design-principles/#priority-of-constituencies

"In case of conflict, consider users over authors over implementors over
specifiers over theoretical purity. In other words costs or difficulties to
the user should be given more weight than costs to authors; which in turn
should be given more weight than costs to implementors; which should be
given more weight than costs to authors of the spec itself, which should be
given more weight than those proposing changes for theoretical reasons
alone. Of course, it is preferred to make things better for multiple
constituencies at once."

I've certainly found this to be a useful framing of design principles that
helps one reason about alternative designs. Perhaps that's one direction to
take this document.

-Ekr

On Tue, Mar 19, 2019 at 3:22 AM Eliot Lear <[email-masked]> wrote:

> Hi Jari,
>
> First, thanks to Mark for writing a provocative draft worthy of his role
> on the IAB.
>
> TL;DR I do not believe this document asks the right question, and further
> believe that there may be a better approach to take.
>
> On 19 Mar 2019, at 09:06, Jari Arkko <[email-masked]> wrote:
>
> My personal opinion is that it would be useful for the IETF to state its
> preference to benefit the users, and to begin with, consider the impacts
> its technology may have on the various relationships among users, and
> various other players. Of course, in many cases we are already doing this
> (and debating it!), but there’s obviously always room for improvement.
>
> I do think though that if the document goes forward, it would be
> beneficial to rethink the examples. “Network operators and equipment
> vendors” as the threat picture… doesn’t sound to me like 2019 at all, with
> all the technology and deployment changes we’ve had in the last few years.
> How about “large content and application providers”? This seems like a
> major issue in today’s Internet.
>
>
>
> You raise an important point.  More broadly, I would find it strange that
> someone participating here believes that he or she is *not* acting in the
> interests of the end users.
>
>    - Network operators believe they are acting in the interests of end
>    users  by intercepting threats to them.
>    - Browser developers believe they are operating in the interests of
>    end users when they protect the privacy of communications.
>    - Social network providers believe they are operating in the interests
>    of end users by providing them fora in which to congregate.
>    - Content providers believe they are operating in the interests of end
>    users by providing them meaningful and sometimes entertaining content.
>    - Cloud providers believe they are operating in the interests of end
>    users by supporting applications.
>    - Firewall vendors believe they are operating in the interests of end
>    users even by eavesdropping on corporate communications to prevent
>    embezzlement.
>    - Some civil society organizations believe they are operating in the
>    interests of end users by preventing unwarranted and undetected
>    surveillance by governments.
>    - Governments believe they are operating in the interests of end users
>    by identifying risks to their citizens.
>
> The document, however, is framed as though only a handful of these groups
> are operating in the interest of end users.  And *that* is problematic,
> because it will lead to incessant argument over just who represents 7
> billion people (did I mention the UN above?) with unpredictable and
> potentially perverse consequences.
>
> This leads to a question: what behavior do we actively want to change?
> What outcome went wrong that we would want to correct?  Like you, Jari, I
> am hard pressed to find an applicable example, which is why I suspect the
> Examples section is so paltry.  Put another way, what would be the
> practical ramifications of adopting this work as a BCP?
>
> Having a food fight over who best represents the user isn’t productive.
> We all think we do.  And we all want to leave the world better than we
> found it.  I would, therefore, propose that we frame our purpose
> accordingly, borrowing from the work of others, such as Hippocrates and
> Maimonides.  Practitioners of all sorts have ethics policies, including
>  ISOC and the IEEE.  Maybe what we really want is a promise from
> participants that they work for the betterment of society, however they
> understand that to mean, and that the higher they rise in leadership at the
> IETF, the more we will expect them to demonstrate having met that goal.
>
> If we are to take this up at all, and I am not opposed to doing so, I
> would suggest that we first be able to agree on the goal, that we have some
> understanding of what mechanism we want to use to achieve that goal, and
> that we understand the ramifications of our choices.
>
> The worst possible world is one in which we short circuit difficult
> decisions because we have enacted a policy that favors one view of users
> over another without regard to the consequences.  Applying a normative
> imprimatur to this work that an IETF BCP carries would therefore be
> premature.
>
> Eliot
>
>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Wed, 20 Mar 2019 09:45:22 +0700

Dear All,

May I be allowed to give an idea:

Should not we say that technologies --among which is the Internet-- live
(as they are made possible by) for a society? --That society emerges
motives (such a configuration of the historical, the economic, the
political snd others of a society). --And, here the "end-users" is a part
of the Internet environment, thus is a moment of success of the Internet
programme.

Regard,

Guntur Wiseno Putra

Pada Rabu, 20 Maret 2019, Eric Rescorla <[email-masked]> menulis:

> Cc: Jari Arkko <[email-masked] <[email-masked]>>, <
> [email-masked]>, IETF <[email-masked]>
>
>
>> someone participating here believes that he or she is *not* acting in
>> the interests of the end users.
>>
>>    - Social network providers believe they are operating in the
>>    interests of end users by providing them fora in which to congregate.
>>    - Content providers believe they are operating in the interests of
>>    end users by providing them meaningful and sometimes entertaining content.
>>    - Governments believe they are operating in the interests of end
>>    users by identifying risks to their citizens.
>>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Wed, 20 Mar 2019 10:49:51 +0700

Dear All,

Do I miss for something as I am new for this list:
If the document meant in the current discussion is:

https://datatracker.ietf.org/doc/draft-nottingham-for-the-users/

...?

Regard,

Pada Rabu, 20 Maret 2019, Guntur Wiseno Putra <[email-masked]> menulis:

>> I've certainly found this to be a useful framing of design principles
>> that helps one reason about alternative designs. Perhaps that's one
>> direction to take this document.
>>
>> -Ekr
>>
>>
>>> TL;DR I do not believe this document asks the right question, and
>>> further believe that there may be a better approach to take.
>>>
>>> You raise an important point.  More broadly, I would find it strange
>>> that someone participating here believes that he or she is *not* acting
>>> in the interests of the end users.
>>>
>>>    - Firewall vendors believe they are operating in the interests of
>>>    end users even by eavesdropping on corporate communications to prevent
>>>    embezzlement.
>>> The document, however, is framed as though only a handful of these
>>> groups are operating in the interest of end users.  And *that* is
>>> problematic, because it will lead to incessant argument over just who
>>> represents 7 billion people (did I mention the UN above?) with
>>> unpredictable and potentially perverse consequences.
>>>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Wed, 20 Mar 2019 11:38:50 +0700

Dear All,

To add what I said in earlier messages:

Could we not make an analogy between a food programme with the
Internet-based programme of communications....? --There is a chain of
providing with, cooking, and eating foods;  those elements of the chain
should be made secured. Thus the "end users" eat what has been provided
with as cooked foods....

Regard,
Guntur Wiseno Putra

Pada Rabu, 20 Maret 2019, Guntur Wiseno Putra <[email-masked]> menulis:

>>> Without responding to Eliot's point in detail, one comparison point
>>> would be the HTML Priority of Constituencies:
>>>
>>>> First, thanks to Mark for writing a provocative draft worthy of his
>>>> role on the IAB.
>>>>
>>>> My personal opinion is that it would be useful for the IETF to state
>>>> its preference to benefit the users, and to begin with, consider the
>>>> impacts its technology may have on the various relationships among users,
>>>> and various other players. Of course, in many cases we are already doing
>>>> this (and debating it!), but there’s obviously always room for improvement.
>>>>
>>>>    - Cloud providers believe they are operating in the interests of
>>>>    end users by supporting applications.
>>>>    - Some civil society organizations believe they are operating in
>>>>    the interests of end users by preventing unwarranted and undetected
>>>> Having a food fight over who best represents the user isn’t
>>>> productive.  We all think we do.  And we all want to leave the world better
>>>> than we found it.  I would, therefore, propose that we frame our purpose